<mat-expansion-panel expanded="true">
    <mat-expansion-panel-header class="mb-0">
        <mat-panel-title>
            Practitioner Configuration - {{getSelectedLocation}}
        </mat-panel-title>
    </mat-expansion-panel-header>

    <div class="row" style="padding-top: 20px;">

        <div class="col-12">

            <div [formGroup]="formGroup">
                <!-- Practitioner Appointment Color -->
                <div class="col-12 app-card">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Practitioner Appointment Colour</div>
                            <div class="app-card-content">
                                The selected color will be set as the background color for all the appointments and classes scheduled for this practitioner in the appointment scheduler.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <!-- formControlName="practitionerCalendarColor" -->
                            <kendo-colorpicker formControlName="appointmentColour" [format]="'hex'">
                            </kendo-colorpicker>
                        </div>
                    </div>
                </div>

                <!-- Practitioner Scheduler Column -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Practitioner Scheduler Column</div>
                            <div class="app-card-content">
                                When enabled, will list this practitioner in the practitioner list of the appointment scheduler. If disabled, the practitioner will not be listed in the practitioner list of the appointment scheduler.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="includeInScheduler" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>

                <!-- Treatments Notes Privacy -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Treatment Notes Privacy</div>
                            <div class="app-card-content">
                                By default, the treatment notes entered by this practitioner will be visible to all the practitioners of this location. When enabled, treatment notes entered by this practitioner will be visible only to self.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="treatmentNotesPrivacy" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>

                <!-- Double Booking -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Double Booking</div>
                            <div class="app-card-content">
                                When enabled, will allow two bookings (appointments or class) at the same time-slot for this practitioner on any day in the scheduler.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="doubleBooking" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>

                <!-- Online Booking -->
                <div class="col-12 app-card margin-20px">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Online Booking</div>
                            <div class="app-card-content">
                                When enabled, will publish this practitioner's schedule on the patient online booking site, so patients can make an online booking with this practitioner.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="onlineBooking" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>

                <!-- Online Booking Confirmation -->
                <div class="col-12 app-card margin-20px" *ngIf="formGroup.get('onlineBooking').value">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Online Booking Confirmation</div>
                            <div class="app-card-content">
                                When enabled, will automatically send email confirmations to the practitioner, if a patient makes an online booking with this practitioner.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="isOnlineBookingConfirmation" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>

                <!-- Online Booking Cancelation -->
                <div class="col-12 app-card margin-20px" *ngIf="formGroup.get('onlineBooking').value">
                    <div class="d-flex align-items-center w-100">

                        <div class="app-card-content-wrapper">
                            <div class="app-card-title">Online Booking Cancellation</div>
                            <div class="app-card-content">
                                When enabled, will automatically send an email notification to the practitioner, if a patient cancels their online booking.
                            </div>
                        </div>

                        <div class="app-card-control">
                            <kendo-switch class="small" formControlName="isOnlineBookingCancellation" [onLabel]="'On'" [offLabel]="'Off'"></kendo-switch>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</mat-expansion-panel>
